<?php 
$wp_customize->add_section('pricing_area',array('title' => __( 'Pricing Section', 'luzuk' ),'panel' => 'luzuk_premium_home_panel'));
$wp_customize->add_setting('pricing_area_disable',array('sanitize_callback' => 'luzuk_sanitize_text',));
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'pricing_area_disable',
        array(
            'settings' => 'pricing_area_disable',
            'section' => 'pricing_area',
            'label' => __( 'Disable Section', 'luzuk' ),
            'on_off_label'  => array('on' => __( 'Yes', 'luzuk' ), 'off' => __( 'No', 'luzuk' )),
        )
    )
); 


backgroundManager($wp_customize, 'pricingsec', 'pricing_area', $color='#fff', get_template_directory_uri().'/images/pricebg.png', 'color');

lzCustomLable($wp_customize, 'pricing_areapadding', 'pricing_area', 'Section Padding');

$wp_customize->add_setting(
    'pricing_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk' )
    )
);
$wp_customize->add_control(
    'pricing_areaTpadding',
    array(
        'settings'      => 'pricing_areaTpadding',
        'section'       => 'pricing_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk' )
    )
);
$wp_customize->add_setting(
    'pricing_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk' )
    )
);
$wp_customize->add_control(
    'pricing_areaBpadding',
    array(
        'settings'      => 'pricing_areaBpadding',
        'section'       => 'pricing_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk' )
    )
);

lzCustomLable($wp_customize, 'pricingarea_conwidth', 'pricing_area', 'Section Width ');

$wp_customize->add_setting('pricing_c_width',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'container'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'pricing_c_width', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'pricing_area', // Replace with your actual section ID
    'settings' => 'pricing_c_width',
    'choices'=>array(
       'container' => 'Box Width',
       'container-fluid' => 'Full Width',
       
    )
) ) );


lzCustomLable($wp_customize, 'pricingarea_headingaling', 'pricing_area', 'Heading Alignment ');

$wp_customize->add_setting('pricing_maintitle_align',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'right'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'pricing_maintitle_align', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'pricing_area', // Replace with your actual section ID
    'settings' => 'pricing_maintitle_align',
    'choices'=>array(
       'left' => 'Left',
       'center' => 'Center',
       'right' => 'Right',
    )
) ) );


lzCustomLable($wp_customize, 'pricingarea_headingcase', 'pricing_area', 'Heading Style');

$wp_customize->add_setting('pricing_maintitle_case',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'uppercase'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'pricing_maintitle_case', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'pricing_area', // Replace with your actual section ID
    'settings' => 'pricing_maintitle_case',
    'choices'=>array(
       'uppercase' => 'Uppercase',
       'lowercase' => 'Lowercase',
       'capitalize' => 'Capitalize',
    )
) ) );


lzCustomLable($wp_customize, 'pricing_areaheading', 'pricing_area', 'Section Heading ');

$wp_customize->add_setting('pricingsec_maintitle',array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( 'Pricing Plan', 'luzuk' )));
$wp_customize->add_control(
    'pricingsec_maintitle',
    array(
        'settings'      => 'pricingsec_maintitle',
        'section'       => 'pricing_area',
        'type'          => 'text',
        'label'         => __( 'Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'pricingsec_Heading', 'pricing_area', 'Heading Color', '#d1d2d6');

$wp_customize->add_setting('pricimgsec_subtitle',array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( 'Pricing Plan', 'luzuk' )));
$wp_customize->add_control(
    'pricimgsec_subtitle',
    array(
        'settings'      => 'pricimgsec_subtitle',
        'section'       => 'pricing_area',
        'type'          => 'text',
        'label'         => __( 'Sub Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'pricingsec_subHeadingicn', 'pricing_area', 'Sub Heading Icon Color', '#7FDB54');

addColorPalatOption($wp_customize, 'pricingsec_subHeading', 'pricing_area', 'Sub Heading Color', '#24345D');

addColorPalatOption($wp_customize, 'pricingsec_Headingbxbg', 'pricing_area', 'Heading Box BG Color', '#e9eaee');


$wp_customize->add_setting('pricing_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'pricing_npp_heading',
        array(
            'settings'      => 'pricing_npp_heading',
            'section'       => 'pricing_area',
            'label'         => __( 'Pricing Plan To Show', 'luzuk' ),
        )
    )
);  

$wp_customize->add_setting('pricing_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 3));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'pricing_npp_count', array(
        'label'    => __( '', 'luzuk' ),
        'section'  => 'pricing_area', // Replace with your actual section ID
        'settings' => 'pricing_npp_count',
        'choices'=>array(1,2,3,4)
    ) ) );


for($i=1;$i<=4;$i++){
    $wp_customize->add_setting('pricing_plan_heading_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text'));
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'pricing_plan_heading_'.$i,
            array(
                'settings' => 'pricing_plan_heading_'.$i,
                'section' => 'pricing_area',
                'label' => __( 'Pricing Plan '.$i, 'luzuk' ),
            )
        )
    ); 

/*code for button text*/
$wp_customize->add_setting(
    'pricing_page_button_title_'.$i,
    array(
        'sanitize_callback'=>'luzuk_sanitize_text',
        'default'=> __('Book Now', 'luzuk')
    )
);
$wp_customize->add_control(
    'pricing_page_button_title_'.$i,
    array(
        'settings' =>'pricing_page_button_title_'.$i,
        'section' => 'pricing_area',
        'type'=> 'text',
        'label'=> __('Add Button Text Here ', 'luzuk')
    )
);

lzAddElement($wp_customize, 'pricing_plan_url_'.$i, 'pricing_area', $type = 'text', $label="Add Link Here", $callback ='esc_url', $default='#');

// Price
$wp_customize->add_setting('pricing_plan_price_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( '$ 99.00', 'luzuk' )));
$wp_customize->add_control(
    'pricing_plan_price_'.$i,
    array(
        'settings' => 'pricing_plan_price_'.$i,
        'section' => 'pricing_area',
        'type' => 'text',
        'label' => __( 'Add Plan Price Here ', 'luzuk' )
    )
);

// list
$wp_customize->add_setting('pricing_plan_content_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( '  
<li>All Basic Plan Services</li>
<li>Carpentry & Painting</li>
<li>Door & Window Installation</li>
<li>Light Fixture Installation</li>', 'luzuk' )));

$wp_customize->add_control(
    'pricing_plan_content_'.$i,
    array(
        'settings' => 'pricing_plan_content_'.$i,
        'section' => 'pricing_area',
        'type' => 'textarea',
        'label' => __( 'Add Pricing Plan List Here ', 'luzuk' )
    )
);

//Title
$wp_customize->add_setting('pricing_plan_name_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( 'Premium Package', 'luzuk' )));

$wp_customize->add_control(
    'pricing_plan_name_'.$i,
    array(
        'settings' => 'pricing_plan_name_'.$i,
        'section' => 'pricing_area',
        'type' => 'text',
        'label' => __( 'Add Plan Name Here ', 'luzuk' )
    )
);

}


lzCustomLable($wp_customize, 'pricing_areacolor', 'pricing_area', 'Section Color');

addColorPalatOption($wp_customize, 'pricingarea_PlanbxbgClr', 'pricing_area', 'Plan Box BG Color ', '#f5f5f5');

addColorPalatOption($wp_customize, 'pricingarea_PlanbxbghvClr', 'pricing_area', 'Plan Box BG Hover Color ', '#dee1e8');

addColorPalatOption($wp_customize, 'pricing_ButtontextColor', 'pricing_area', 'Plan Button Text Color ', '#fff');

addColorPalatOption($wp_customize, 'pricing_ButtonbgColor', 'pricing_area', 'Plan Button BG Color', '#7FDB54');

addColorPalatOption($wp_customize, 'pricingarea_Planpriceclr', 'pricing_area', 'Plan Price Color ', '#7FDB54');

addColorPalatOption($wp_customize, 'price_ContentliicnClr', 'pricing_area', 'Plan List Icon Color', '#7FDB54');

addColorPalatOption($wp_customize, 'pricing_PlanConiClr', 'pricing_area', 'Plan List Color ', '#515355');

addColorPalatOption($wp_customize, 'pricingarea_PlanNameClr', 'pricing_area', 'Plan Name Color ', '#000');

addColorPalatOption($wp_customize, 'pricingarea_PlanNamebgClr', 'pricing_area', 'Plan Name BG Color ', '#dee1e8');



// even number
lzCustomLable($wp_customize, 'pricing_evenclr', 'pricing_area', 'Even Box Diffrent Color');

addColorPalatOption($wp_customize, 'pricing_PlanevenbxbgClr', 'pricing_area', 'Plan Even Box Button BG Color ', '#24345D');

addColorPalatOption($wp_customize, 'pricing_PlanevenbxpriceClr', 'pricing_area', 'Plan Even Box Price Color ', '#24345D');